<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <!--CSS-->

    <!--VENDORS-->
    <!---Jquery-->
    <script src="vendors/jquery/jquery-3.4.1.js"></script>
    <!--Format curreny basado en jquery -->
    <script src="vendors/jquery.formatCurrency-1.4.0/jquery.formatCurrency-1.4.0.min.js"></script>
    <!--Own Code-->
    <script src="js/model/Person.js"></script>
    <script src="js/model/Employee.js"> </script>
    <!--control-->
    <script src="js/control/index.js"></script>

</head>

<body>
    <form action="">
        <fieldset id="myFS">
            <h1>EMPLOYEE DATABASE</h1>
            <label for="DNI">DNI: </label><input type="text" id="DNI"><BR></BR>
            <label for="empName">Name: </label><input type="text" id="empName"><BR></BR>
            <label for="surname">Surname: </label><input type="text" id="surname"><BR></BR>
            <label for="phone">Phone: </label><input type="text" id="phone"><BR></BR>
            <label for="birthdate">Birth Date: </label><input type="date" id="birthdate"><BR></BR>
            <label for="salary">Salary: </label><input type="text" id="salary" class="currency"><BR></BR><!-- type="text" class="currency" para que funcione fromaTcURRENT-->
            <button type="button" id="butSubmit">Submit</button><!-- es un submit, pero pongo un botton para poder verlo -->
        </fieldset>
    </form>

</body>

</html>
<!---
EVENT:
1)<BUTTON   onclik="">
2)$("#id").click
3)Event delegation :

$()=>puede un selector de un contenedor, etc.
$("div1")=> todo lo que contenga el div 1  // no pones una clase a todos los elementos que hay dentro del div son elementos que existen
pero si quieres capturar eventos sobre lgo que todavia no existe pongo el div1

#para captrar eventos que todavia no existe:
$("div1").on("click"# captura del evento 
                dbclick
                change# quieres recalcular el excel, cualquier modificacion en la tabla , disparara el change 
                blur")#  detecta cuando te vas del campo, cuando le das al tabulador

#captura los que tengan una clase determinada  .class3
$("div1").on("click", ".class3", 
            function (event){});# event es un objeto te da informacion del evento, quien nos da quien ha disparado el evento 



COMPONENTES:  

-->